HaruImage
HaruImage::getColorSpace
HaruImage
PHP Manual

# HaruImage::getBitsPerComponent

Get the number of bits used to describe each color component of the image

### Description

int HaruImage::getBitsPerComponent ( void )

Gets the number of bits used to describe each color component of the image.

### Parameters

This function has no parameters.

### Return Values

Returns the number of bits used to describe each color component of the image.

### Errors/Exceptions

Throws a HaruException on error.